package com.clx.performance.service;

import com.clx.performance.param.mq.*;

import java.time.LocalDateTime;

public interface IntegralMqHandlerService {

    void truckAdd(IntegralTuckAddMqParam mq);
    void orderGoodsAdd(IntegralOrderAddMqParam mq);

    void recordAdd(IntegralRecordAddMqParam mq);

    void nextWeekTruckInit(IntegralNextWeekTruckInitMqParam mq);

    void weekTruckStatistics(IntegralWeekTruckStatisticsMqParam mq);


    void truckProtectionCancel(IntegralTruckProtectionCancelMqParam mq);


    void orderChildFinish(IntegralOrderChildFinishMqParam mq);

    void integralRealTimeStatistics(Integer statisticsId);

    void integralRealTimeRankStatistics(LocalDateTime statisticsDate);
}
